/*CODI SQL EN EL SERVIDOR D'EXIT*/

/* Aquest codi s'afegeix a la pestanya que diu codi SQL del gestor phpmyadmin */
/* primer el 1 després el 2 i finalment el 3*/

/* 1-  Primer creem  la base de dades */
  CREATE database MeshliumDB;
      
/*2-  Creem la taula  de sensors*/
CREATE TABLE IF NOT EXISTS `SensorsMesh` (
  `id` int(11) NOT NULL auto_increment,
  `id_wasp` varchar(16) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
  `id_secret` varchar(10)CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
  `frame_type` int(11) default NULL,
  `frame_number` int(11) default NULL,
  `sensor` varchar(16)CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
  `value` varchar(65) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `raw` varchar(100)CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
  `parser_type` tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

   
/* 3-  Creació de la taula per les dades de wifiScan */	
	
 CREATE TABLE `wifiScan` (
 `ID_frame` int(11) NOT NULL AUTO_INCREMENT,
 `TimeStamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
 `MAC` varchar(17) COLLATE utf8_unicode_ci NOT NULL,
 `SSID` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
 `RSSI` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
 `Vendor` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
 `Type` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
 `AP` varchar(17) COLLATE utf8_unicode_ci NOT NULL,
 `MeshliumID` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`ID_frame`)
  ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;  

  /* 4- S'ha de posar l'usuai i contrasenya i dir quins privilegis té */
 GRANT ALL PRIVILEGES ON *.* TO root@'rootMesh' IDENTIFIED BY 'libelium2016'; 
  
  /*Després d'això es configura el meshlium perquè exporti*/
  
  
/* La comanda utilitzada per extrure les dades en mySQL és la següent */

  SELECT SUBSTRING_INDEX(SUBSTRING_INDEX(value, ';', numero ), ';',-1), timestamp /* extreu dos columenes "value i timestamp"*/
  /* el "numero" és  la posició de la variable d'on es troba el valor del node que volem separat per ";" ex: 23.4;35;16.7 si volem el 35 el num és el "2"  */
  FROM SensorsMesh /*nom de la taula*/
  WHERE id_wasp = "Mac_Low" /*introduim la mac low de cada xbee per identificar el node*/
  AND timestamp < "intrdouïr data fi" AND timestamp >"introduir datainici ";   /*format de la data "2017-03-20 10:00:00"*/
  